Bug 459620 - (CVE-2008-3746) CVE-2008-3746 neon: NULL ptr dereference in the Digest authentication support (DoS possible)
CVE-2008-3746 neon: NULL ptr dereference in the Digest authentication support...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
reported=20080820,public=20080815,sou...
: Security
Depends On: 460415
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-20 12:49 EDT by Jan Lieskovsky
Modified: 2008-10-16 03:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 03:35:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-08-20 12:49:29 EDT
Description:

A NULL pointer deference in the Digest authentication support in neon
versions 0.28.0 through 0.28.2 inclusive allows a malicious server to
crash a client application, resulting in possible denial of service.


References:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476571
http://bugs.gentoo.org/show_bug.cgi?id=234826


Proposed patch:
 http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=19;filename=0001-fix-segfault-if-base-path-is-NULL.patch;att=1;bug=476571

Affected versions:

CVE-2008-3746: This issue does not affect the versions  of the neon package,
as shipped with Red Hat Enteprise Linux 4 and 5.

CVE-2008-3746: This issue affects the versions of the neon package,
as shipped with Fedora release 8 and 9.
Comment 1 Tomas Hoger 2008-08-21 02:59:02 EDT
According to Joe's mail, this issue should only affect 0.28.0 - 0.28.2, so Fedora 8 packages should be unaffected, as those are based on 0.27.x:

  http://www.openwall.com/lists/oss-security/2008/08/15/4

Patch applied in upstream version 0.28.3:

  http://www.openwall.com/lists/oss-security/2008/08/20/5
  http://lists.manyfish.co.uk/pipermail/neon/2008-August/000038.html
  http://lists.manyfish.co.uk/pipermail/neon/2008-August/000040.html
Comment 3 Fedora Update System 2008-08-28 16:30:41 EDT
neon-0.28.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/neon-0.28.3-1.fc9
Comment 4 Fedora Update System 2008-10-15 22:07:17 EDT
neon-0.28.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Red Hat Product Security 2008-10-16 03:35:47 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-7661

Note You need to log in before you can comment on or make changes to this bug.